#!/bin/sh
#This is a script file to make executable file(s) in the "sn32/exe" directory on GNU/Linux.
#Please run in "/sn32/" directory. Wild card can be used.
if [ $# = 0 ]
then
echo "usage : $0 file..."
exit 1
fi

for file in $*
do
base=`echo $file | sed 's/\..*$//'`
echo Making ./exeCW32/${base}

g++ -m32 -O3 -DNDEBUG=1 -ansi -Wall -Werror -I ./include $file ./lib/CWLib32.a -lstdc++ -lm -s -o ./exeCW32/${base}
done
exit 0
