/*  simcvdec.cpp  by K.Tsuru  */
// function ID = 416	BRADIX
/**********************************************
SInteger class's member
It provides the BRADIX --> DRADIX conversion.
The divide radix conversion is used. 
In special case it is equivalent to the binary splitting method.
**********************************************/
#ifndef SN_H
#include "sn.h"
#endif
SLong SInteger::ConvToDec() const{
// Head()+1 =< iNconvDecMaxFig : NConvToDec() is faster than DConvTodec()
	SLong result;
	if(Head()+1 <= iNconvDecMaxFig) result = NConvToDec();
	else result = DConvToDec();

    return result;
}
