/*  slflcml.cpp  by K.Tsuru  */
// function ID 2008   DRADIX, BRADIX  since ver 2.8
/***********************************************************************
SLong and SInteger classes
It provides the LCM (Least Common Multiple).
It returns a positive value.
************************************************************************/
#ifndef SN_H
#include "sn.h"
#endif

SLong lcmL(const SLong& a, const SLong& b) {
	if ( a.Sign(2008) == 0 || b.Sign(2008) == 0 ) return 0.0;
	SLong d = gcdL(a, b);
	return (a / d) * b;
}
