/*  sloslor.cpp  by K.Tsuru  */
// function ID = 232	DRADIX
/********************************************************
SLong class
bit or operator m|n
It does not consider the sign and return a positive value.
[Argorithm]
1.radix converion to SInteger with radix BRADIX
2.take bit or for each figure
3.reverse conversion
*********************************************************/
#ifndef SN_H
#include "sn.h"
#endif
SLong operator|(const SLong& m, const SLong& n){
	if(m.Sign(232) == 0) return n;
	if(n.Sign(232) == 0) return m;

	SInteger M, N;
	//convert to binary
	M = M.ConvToBin(m); 	N = N.ConvToBin(n);
	M = M | N;
	return M.ConvToDec(); //convert to decimal
}
