/*  sloslrem.cpp  by K.Tsuru  */
// function ID = 230	DRADIX
/***************************
SLong class
Provides remainder m % n.
[Notice]
Using the relations
   m=n*q+r (q = m/n)
   r = m-n*q
i.e.
   m%n = m - n*(m/n)
can be evaluated.
****************************/
#ifndef SN_H
#include "sn.h"
#endif
SLong operator%(const SLong& m, const SLong& n){
	Ldiv_t r = LLDiv(m, n, 1);
	return r.rem;
}
