/*  snconstr.cpp  by K.Tsuru  */
// function ID = 111
/**************************************************************
SNumber class
consutructor by NumberType "tp" and the size of figure[] "fsz".
It does not initialized by zero.Use SetZero() for initialization.
If fsz == 0 it does not allocate memory.
***********************************************************/
#ifndef SN_H
#include "sn.h"
#endif
SNumber::SNumber( NumberType tp, uint fsz)
	:pushCD(0), sign(UNDECIDED), type(tp), aHead(0), aTail(0), figure(){

	uint max_sz = SNMaxSize(type);
	if( fsz > max_sz){
		SetError(FATAL,"SN",111);
	}

	if(fsz && fsz < minArraySize) fsz = minArraySize;
//When the size which is greater than the minimum size is requested
//it takes into the irreducible size mode.
	else if(fsz > minArraySize) CutDown(DISABLE);
//If fsz > 0,it allocates memory but not initialized.
//The initialization is done in the derived classes. sign = UNDECIDED;
	if(fsz)	figure.size(fsz, -1);
	objectCounter++;
}
