/*  sxcbexp1.cpp  by K.Tsuru  */
// function ID 5102		BRADIX
/***********************************
SDecimal class
base of natural logalithm in BRADIX
exp(1)
*************************************/
#ifndef SN_H
#include "sn.h"
#endif

SDecimal BE(){
	SDecimal delta(0.5), bexp1(2.5);
	ulong mt = delta.SlOpMaxValue(), k = 3uL;

	do{
		XsDiv(delta, k, delta);
		XXAdd(bexp1, delta, bexp1);
		if( (k++) >= mt ){
			delta.SetError(delta.NOT_CONVERGE,"BE()", -5102);	break;
		}
	}while(delta.Sign());

	delta.upToTerm = k;
	return bexp1;
}
