/*  sxfbsin.cpp  by K.Tsuru  */
// function ID 5203		BRADIX(reference)
/**************************
SDecimal class
sin x by BRADIX = 32768
***************************/
#ifndef SN_H
#include "sn.h"
#endif
SDecimal Bsin(const SDouble& x){
	SDouble y;
	SDecimal r;

	int func = SIN_CALC;
	int s = GetTriCalcMethod(x, y, &func);
	if(s == 0){
		r = y.Sign(5203);	// y = -1, 0, 1
		x.upToTerm = 1;
	} else if(func == COS_CALC) r = BcosSeries(y);
	else r = BsinSeries(y);
	if(s < 0) r = -r;
	return r;
}
