/*  SNDebug.cpp  by K.Tsuru  */
const char* title = "<<< SN test program for debug(1). >>>\n";
#include "sn.h"

SDouble Sqrt2(){
	SDouble s;
	s = Sqrt(2.0);
	return s;
}
void RandMultTest()
{
	SLong a, b, c, r, s;
	
	
//	a.SetFFTMinSize(64);
	uint N = r.FFTMinSize()+2; // N =15 Ok N=16 error in a*b
	a = LRand(N);	 b = LRand(N); // no error
	cout << "N= " << N << endl;
	cout << "a= " << a << endl;
	cout << "b= " << b << endl;

	Wait("LRand");
	cout << "N= "<< N << " a.Size()    b.Size()   r.Size()" << endl;

	r = NLLMult(a,b);//a*b; // NLLMult(a,b) // no error
	cout << "a*b = " << r << endl;
	Wait(" NLLMult(a,b)");
	s = LLMult(a,b); //a*b; error in LLMultFFT()
	c = r-s;
	cout << c << " <-- 0?"<< endl;
//	a.SNMemFree();
//	Wait("SNMemFree()");
	Wait(" LLMult(a,b)");
}
void func1(){
	cerr << " func1() " << endl;
}
void func2(){
	cerr << " func2() " << endl;
}
void func3(){
	cerr << " func3() " << endl;
}
void func4(){
	cerr << " func4() " << endl;
}
void funcStackTest(){
	SNStack <void (*)()> Func;
	Func.Entry(func1);
	Func.Entry(func2);
	Func.Entry(func3);
	Func.Entry(func4);
	while( Func.Elements() ) (*Func.Pop())();
}
int main(){
	RandMultTest();
	cout << Sqrt2()<< endl;
	funcStackTest();
	Wait();
SDouble t;
	cout << Pi() << endl;
	cerr << "t.objectCounter = " << t.SNObjects() << endl;
	//	CloseFFT();
	Ending();
}
