/*  SplitLargeFile.cpp  by K.Tsuru  */
/**********************
 Split large number file
 The text file of billion degits(pi, e, etc) has the size over 1 GB,
  then a normal editor hardly load it. To confirm the result is
  correct or not the file must be splited and read by editor.
***********************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>

int SplitLargeFile(const char* largeFileName, const long fileLineUnit, const char* outFNameFormat);
using namespace std;
void usage(){
	cout << "--- usage ---" << endl;
	cout << "SplitLargeFile filename 10000 chudpi%02d.dat" << endl;
	getchar();
}
int main(int argc, char *argv[]) {
	if(argc < 4) {
		usage();	return -1;
  	}
	const char* fname = argv[1];
	int line = atoi(argv[2]);
	const char* format = argv[3];
	int r = SplitLargeFile(fname, line, format);
	if(r == -1)	cerr << " Cannot open : " << fname << endl;
	if(r == -2)	cerr << fname << " is not decimal file" << endl;
}

