/* existsnc.cpp by K. Tsuru*/
/************************************
Search directory for constant files
"e.snc", "pi.snc" and "log10.snc".
**************************************/
#ifndef SN_H
#include "sn.h"
#endif
#ifndef SNC_FILE_H
#include "sncfile.h"	// for three constant files
#endif
bool ExistDirectory(const char* const dir);

bool ExistSncDirectory(char* sncDir){
// search the upper directory
	strcpy(sncDir, ".");
	strcat(sncDir, SNC_DIR);	// ../
	if( ExistDirectory((const char*)sncDir) ) return true;

// search the current directory
	strcpy(sncDir, SNC_DIR);
	if(ExistDirectory(sncDir)) return true;

	sncDir[0] = '\0';	// not found
	return false;
}
