/*  sdfexpow.cpp  by K.Tsuru  */
// function ID 3302		DRADIX
/***********************************
SDouble class
It provides e^n : n-th power of E().
 exp(n) < DRADIX^DRADIX_EXP_MAX
************************************/
#ifndef SN_H
#include "sn.h"
#endif
SDouble Expower(long n){
	if(n == 0) return 1.0;

	SDouble exp1;
	if(n > 0) exp1 = E();
	else      exp1 = RecE();	// 1/E()

// Check the condition "exp(n) < DRADIX^DRADIXEXP_MAX" in Dpow() function.
	return Dpow(exp1, labs(n));
}
