/*  srmsetsl.cpp  by K.Tsuru  */
// function ID = 801  DRADIX, BRADIX
/*****************************
SRational class
set a value by SLong or SInteger
******************************/
#ifndef SN_H
#include "sn.h"
#endif
void SRational::Set(const SLong& n, const SLong& d){
	if(n.Type() != d.Type()) n.SetError(n.RADIX_ERR, "SR Set", 801);
	if(n.Type() == n.DEC_INT){	// SLong
		SInteger t;
		num = t.ConvToBin(n);		den = t.ConvToBin(d);
	} else {                    // SInteger
		num = n;	den = d;
	}
	reduceDone = false;
	RadixCheck();	DenCheck();
	reduce(false);
}
